%define module Unix-Mknod

Summary:	Perl extension for mknod, major, minor, and makedev
Name:		%{module}
Version:	0.04

Release:	5%{?dist}

License:	distributable
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/authors/id/P/PI/PIRZYK/%{module}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-%(%{__id} -u -n)

Requires:	perl
BuildRequires:	perl, perl(ExtUtils::MakeMaker), gcc

%description
This module allows access to the device routines major()/minor()/makedev()
that may or may not be macros in .h files.

It also allows access to the mknod system call.


%prep
%setup -q -n %{module}-%{version}


%build
%{__perl} Makefile.PL SITEPREFIX=/usr/share

# lose the packlist
%{__perl} -pi -e 's [^(\s+write\s+)\S+\.packlist(.+)$] [$1/dev/null$2];' Makefile
%{__make}


%install
%{__rm} -rf %{buildroot}
# pure_site_install, rather than install, to skip perllocal.pod
%{__make} pure_perl_install DESTDIR=%{buildroot}/

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%{_mandir}/man3/*
#
# Good reference for distro version tests:  https://goo.gl/RqTTZ3
#   - 1200 is 12.00 -- may also install fine on SLES11, but haven't tested -BEF-
%if 0%{?suse_version} > 1200
%{_exec_prefix}/lib/*
%else
%{_libdir}/*
%endif
%doc Changes README


%changelog
* Wed Feb 22 2017 Brian Elliott Finley <brian@thefinleys.com> 0.04-5.
- Update %files section to perform proper install on SLE12, as well as CentOS & RHEL
* Tue May 13 2014 Brian Elliott Finley <brian@thefinleys.com> 0.04-4.
- change BuildRequires to be less distro dependent
* Fri Mar 21 2014 Brian Elliott Finley <brian@thefinleys.com> 0.04-2.
- Improve build across distros

* Thu Oct 11 2012 Brian Elliott Finley <brian@thefinleys.com> 0.04-1.
- Updated for new source version.

* Tue Oct 09 2012 Brian Elliott Finley <brian@thefinleys.com> 0.03-2
- Updated SPEC file for EL6 distros.

* Thu May 11 2006 Jim Pirzyk <pirzyk@uiuc.edu> 0.03-1.
- Updated for new source version.

* Tue Feb 21 2006 Seth Leichter <leichter@uiuc.edu> 0.02-3.
- Added RHEL macro to release tag.
- Use RHEL macro to test for rhel version in build.

* Tue Jan 31 2006 Seth Leichter <leichter@uiuc.edu> 0.02-2
- Improved BuildRoot
- Fix for RHEL3 (build: perl Makefile.PL)

* Fri Jan 13 2006 Seth Leichter <leichter@uiuc.edu> 0.02-1
- Initial package

